org.codehaus.groovy.runtime

## Class MethodKey

- java.lang.Object
- - org.codehaus.groovy.runtime.MethodKey

Direct Known Subclasses:
  DefaultCachedMethodKey, DefaultMethodKey, TemporaryMethodKey

    public abstract class MethodKey
    extends java.lang.Object

An abstract base class for a key used for comparators and Map keys to lookup a method by name and parameter types

Author:
  James Strachan

### Constructor Summary

Constructors
Constructor and Description
`MethodKey(java.lang.Class sender, java.lang.String name, boolean isCallToSuper)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`MethodKey` `createCopy()` Creates an immutable copy that we can cache.
`protected int` `createHashCode()`
`boolean` `equals(MethodKey that)`
`boolean` `equals(java.lang.Object that)`
`java.lang.String` `getName()`
`abstract int` `getParameterCount()`
`abstract java.lang.Class` `getParameterType(int index)`
`java.util.List` `getParamterTypes()`
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MethodKey

    public MethodKey(java.lang.Class sender,
                     java.lang.String name,
                     boolean isCallToSuper)

### Method Detail

#### createCopy

    public MethodKey createCopy()

Creates an immutable copy that we can cache.

#### equals

    public boolean equals(java.lang.Object that)

Overrides:
  `equals` in class `java.lang.Object`

#### equals

    public boolean equals(MethodKey that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getName

    public java.lang.String getName()

#### getParamterTypes

    public java.util.List getParamterTypes()

#### getParameterCount

    public abstract int getParameterCount()

#### getParameterType

    public abstract java.lang.Class getParameterType(int index)

#### createHashCode

    protected int createHashCode()